Bug 489745 - _disk_check_sanity() failed
_disk_check_sanity() failed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pyparted (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
anaconda_trace_hash:feef950afe496f899...
:
: 491339 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-11 12:45 EDT by M8R-nxns8i
Modified: 2010-06-28 07:26 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:26:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (78.53 KB, text/plain)
2009-03-11 12:45 EDT, M8R-nxns8i
no flags Details

  None (edit)
Description M8R-nxns8i 2009-03-11 12:45:45 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.27 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.6/logging/__init__.py", line 1194, in getEffectiveLevel
    while logger:
  File "/usr/lib64/python2.6/logging/__init__.py", line 1206, in isEnabledFor
    return level >= self.getEffectiveLevel()
  File "/usr/lib64/python2.6/logging/__init__.py", line 1008, in debug
    if self.isEnabledFor(DEBUG):
  File "/usr/lib/anaconda/storage/devicetree.py", line 652, in _removeDevice
    dev.type))
  File "/usr/lib/anaconda/storage/devicetree.py", line 680, in registerAction
    self._removeDevice(action.device)
  File "/usr/lib/anaconda/storage/__init__.py", line 576, in destroyDevice
    self.devicetree.registerAction(action)
  File "/usr/lib/anaconda/storage/partitioning.py", line 302, in clearPartitions
    storage.destroyDevice(part)
  File "/usr/lib/anaconda/storage/partitioning.py", line 57, in doAutoPartition
    clearPartitions(anaconda.id.storage)
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1317, in nextClicked
    self.anaconda.dispatch.gotoNext()
PartedException: Assertion (!walk->prev || walk->prev->next == walk) at disk.c:1361 in function _disk_check_sanity() failed.
Comment 1 M8R-nxns8i 2009-03-11 12:45:54 EDT
Created attachment 334835 [details]
Attached traceback automatically from anaconda.
Comment 2 Joel Andres Granados 2009-03-20 10:30:22 EDT
commented on another bug for stuff that might be related to this one.  see :
 https://bugzilla.redhat.com/show_bug.cgi?id=491326#c2
Comment 3 Joel Andres Granados 2009-03-20 10:46:50 EDT
*** Bug 491339 has been marked as a duplicate of this bug. ***
Comment 4 Joel Andres Granados 2009-03-20 11:26:53 EDT
My partition setup
Model: ATA WDC WD1600AAJS-0 (scsi)
Disk /dev/sda: 160GB
Sector size (logical/physical): 512B/512B
Partition Table: msdos

Number  Start   End     Size    Type      File system  Flags
 1      512B    200MB   200MB   primary.....................
 2      200MB   40.0GB  39.8GB  primary.....................
        40.0GB  40.0GB  7761kB            Free Space........
 3      40.0GB  120GB   80.0GB  extended               lba..
 5      40.0GB  80.0GB  40.0GB  logical.....................
 6      80.0GB  120GB   40.0GB  logical.....................
        120GB   160GB   40.0GB            Free Space........
Comment 5 Chris Lumens 2009-03-20 14:36:01 EDT
This should be fixed in the next build of pyparted.
Comment 7 Bug Zapper 2009-06-09 08:08:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Tore H. Larsen 2009-09-29 08:50:37 EDT
With debuginfo:

Core was generated by `parted -s /dev/sdc print'.
Program terminated with signal 11, Segmentation fault.
#0  _dump_history () at ui.c:285
285	        while (all_entries[i]) {
Missing separate debuginfos, use: debuginfo-install device-mapper-libs-1.02.33-2.fc11.x86_64 e2fsprogs-libs-1.41.4-12.fc11.x86_64 glibc-2.10.1-5.x86_64 libgcc-4.4.1-2.fc11.x86_64 libselinux-2.0.80-1.fc11.x86_64 libsepol-2.0.36-1.fc11.x86_64 ncurses-libs-5.7-2.20090207.fc11.x86_64 readline-5.2-14.fc11.x86_64
(gdb) where
#0  _dump_history () at ui.c:285
#1  0x000000000040bd33 in sa_sigsegv_handler (signum=<value optimized out>, info=0x7fff220b3cf0, 
    ucontext=<value optimized out>) at ui.c:360
#2  <signal handler called>
#3  0x00000038e2679984 in free () from /lib64/libc.so.6
#4  0x00000038e9240faf in pth_free (pth=0xb4f880) at gpt.c:328
#5  0x00000038e924280f in gpt_read (disk=0xb4f200) at gpt.c:1001
#6  0x00000038e9215939 in ped_disk_new (dev=0xb501b0) at disk.c:209
#7  0x0000000000406cdc in do_print (dev=0x7fff220b4298) at parted.c:1279
#8  0x000000000040c26c in non_interactive_mode (dev=0x7fff220b4298, cmd_list=<value optimized out>, 
    argc=<value optimized out>, argv=<value optimized out>) at ui.c:1545
#9  0x000000000040a707 in main (argc=1, argv=0x7fff220b43a0) at parted.c:2480
Current language:  auto; currently minimal
(gdb) 


It crashes gparted and qtparted too.
Comment 9 David Cantrell 2009-09-29 16:21:44 EDT
(In reply to comment #8)
> With debuginfo:
> 
> Core was generated by `parted -s /dev/sdc print'.
> Program terminated with signal 11, Segmentation fault.
> #0  _dump_history () at ui.c:285
> 285         while (all_entries[i]) {
> Missing separate debuginfos, use: debuginfo-install
> device-mapper-libs-1.02.33-2.fc11.x86_64 e2fsprogs-libs-1.41.4-12.fc11.x86_64
> glibc-2.10.1-5.x86_64 libgcc-4.4.1-2.fc11.x86_64
> libselinux-2.0.80-1.fc11.x86_64 libsepol-2.0.36-1.fc11.x86_64
> ncurses-libs-5.7-2.20090207.fc11.x86_64 readline-5.2-14.fc11.x86_64
> (gdb) where
> #0  _dump_history () at ui.c:285
> #1  0x000000000040bd33 in sa_sigsegv_handler (signum=<value optimized out>,
> info=0x7fff220b3cf0, 
>     ucontext=<value optimized out>) at ui.c:360
> #2  <signal handler called>
> #3  0x00000038e2679984 in free () from /lib64/libc.so.6
> #4  0x00000038e9240faf in pth_free (pth=0xb4f880) at gpt.c:328
> #5  0x00000038e924280f in gpt_read (disk=0xb4f200) at gpt.c:1001
> #6  0x00000038e9215939 in ped_disk_new (dev=0xb501b0) at disk.c:209
> #7  0x0000000000406cdc in do_print (dev=0x7fff220b4298) at parted.c:1279
> #8  0x000000000040c26c in non_interactive_mode (dev=0x7fff220b4298,
> cmd_list=<value optimized out>, 
>     argc=<value optimized out>, argv=<value optimized out>) at ui.c:1545
> #9  0x000000000040a707 in main (argc=1, argv=0x7fff220b43a0) at parted.c:2480
> Current language:  auto; currently minimal
> (gdb) 
> 
> 
> It crashes gparted and qtparted too.  

You're running 'parted -s /dev/sdc print', which is the parted program and part of the parted package.  This bug report is against the pyparted package, which are the Python bindings for libparted.  Different components.
Comment 10 Bug Zapper 2010-04-27 09:09:45 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-06-28 07:26:51 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.